/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.11.21
 * 描述               :        			分条子卷实绩
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Lengthwise.Performance.vo;

import java.io.Serializable;
import java.util.Date;

import market.Mes.Lengthwise.Performance.mapper.MesCrSlittingDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_CR_SLITTING_D", namespace=MesCrSlittingDMapper.class)
public class MesCrSlittingD extends BaseVO implements Serializable {
	
	private String machine_code;
	
	public String getMachine_code() {
		return machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	private int cnt;
	
	

	public int getCnt() {
		return cnt;
	}
	public void setCnt(int cnt) {
		this.cnt = cnt;
	}

	//序号
	private int xh;
	
	public int getXh() {
		return xh;
	}
	public void setXh(int xh) {
		this.xh = xh;
	}


	//销售订单号
	private String orderno;
	
	public String getOrderno() {
		return orderno;
	}
	public void setOrderno(String orderno) {
		this.orderno = orderno;
	}

	/** 
	 * 检验号、用于分批及发送检验委托的
	 */ 
	@Column
	private String inspection_lot;
	public String getInspection_lot() {
		return inspection_lot;
	}
	public void setInspection_lot(String inspection_lot) {
		this.inspection_lot = inspection_lot;
	}
	
	@Id
	//子卷号
	private String coil_no;
	public String  getCoil_no() {
		return this.coil_no;
	}
	public void setCoil_no(String coil_no) {
		this.coil_no = coil_no;
	}

	@Column
	//虚拟子卷号
	private String coil_no_vt;
	public String getCoil_no_vt() {
		return coil_no_vt;
	}
	public void setCoil_no_vt(String coil_no_vt) {
		this.coil_no_vt = coil_no_vt;
	}

	@Column
	//生产处理号
	private String process_no;
	public String  getProcess_no() {
		return this.process_no;
	}
	public void setProcess_no(String process_no) {
		this.process_no = process_no;
	}

	@Column
	//作业日期（YYYY-MM-DD）
	private String wrk_date;
	public String  getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	@Column
	//作业班次（1夜班、2白班、3中班）
	private String wrk_ord;
	public String  getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	@Column
	//称重编号（YYMMDD+5位流水）
	private String coil_wgt_serial_no;
	public String  getCoil_wgt_serial_no() {
		return this.coil_wgt_serial_no;
	}
	public void setCoil_wgt_serial_no(String coil_wgt_serial_no) {
		this.coil_wgt_serial_no = coil_wgt_serial_no;
	}
	
	@Column
	//作业班组（1甲班、2乙班、3丙班、4丁班）
	private String wrk_grp;
	public String  getWrk_grp() {
		return this.wrk_grp;
	}
	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}

	@Column
	//子卷牌号
	private String steel_code;
	public String  getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	@Column
	//目标厚度
	private Double aim_thk;
	public Double  getAim_thk() {
		return this.aim_thk;
	}
	public void setAim_thk(Double aim_thk) {
		this.aim_thk = aim_thk;
	}

	@Column
	//目标宽度
	private Double aim_wdt;
	public Double  getAim_wdt() {
		return this.aim_wdt;
	}
	public void setAim_wdt(Double aim_wdt) {
		this.aim_wdt = aim_wdt;
	}

	@Column
	//目标长度
	private Double aim_len;
	public Double  getAim_len() {
		return this.aim_len;
	}
	public void setAim_len(Double aim_len) {
		this.aim_len = aim_len;
	}

	@Column
	//目标内径
	private Double aim_inn_dia;
	public Double  getAim_inn_dia() {
		return this.aim_inn_dia;
	}
	public void setAim_inn_dia(Double aim_inn_dia) {
		this.aim_inn_dia = aim_inn_dia;
	}

	@Column
	//目标外径
	private Double aim_out_dia;
	public Double  getAim_out_dia() {
		return this.aim_out_dia;
	}
	public void setAim_out_dia(Double aim_out_dia) {
		this.aim_out_dia = aim_out_dia;
	}

	@Column
	//子卷厚度
	private Double act_thk;
	public Double  getAct_thk() {
		return this.act_thk;
	}
	public void setAct_thk(Double act_thk) {
		this.act_thk = act_thk;
	}

	@Column
	//子卷宽度
	private Double act_wdt;
	public Double  getAct_wdt() {
		return this.act_wdt;
	}
	public void setAct_wdt(Double act_wdt) {
		this.act_wdt = act_wdt;
	}

	@Column
	//子卷长度
	private Double act_len;
	public Double  getAct_len() {
		return this.act_len;
	}
	public void setAct_len(Double act_len) {
		this.act_len = act_len;
	}

	@Column
	//子卷内径
	private Double act_inn_dia;
	public Double  getAct_inn_dia() {
		return this.act_inn_dia;
	}
	public void setAct_inn_dia(Double act_inn_dia) {
		this.act_inn_dia = act_inn_dia;
	}

	@Column
	//子卷外径
	private Double act_out_dia;
	public Double  getAct_out_dia() {
		return this.act_out_dia;
	}
	public void setAct_out_dia(Double act_out_dia) {
		this.act_out_dia = act_out_dia;
	}

	@Column
	//子卷理重
	private Double coil_thr_wgt;
	public Double  getCoil_thr_wgt() {
		return this.coil_thr_wgt;
	}
	public void setCoil_thr_wgt(Double coil_thr_wgt) {
		this.coil_thr_wgt = coil_thr_wgt;
	}

	@Column
	//子卷实量
	private Double coil_act_wgt;
	public Double  getCoil_act_wgt() {
		return this.coil_act_wgt;
	}
	public void setCoil_act_wgt(Double coil_act_wgt) {
		this.coil_act_wgt = coil_act_wgt;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//子卷称重时间
	private Date coil_wgt_time;
	public Date  getCoil_wgt_time() {
		return this.coil_wgt_time;
	}
	public void setCoil_wgt_time(Date coil_wgt_time) {
		this.coil_wgt_time = coil_wgt_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//卷曲开始时间
	private Date coil_str_time;
	public Date  getCoil_str_time() {
		return this.coil_str_time;
	}
	public void setCoil_str_time(Date coil_str_time) {
		this.coil_str_time = coil_str_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//卷曲结束时间
	private Date coil_end_time;
	public Date  getCoil_end_time() {
		return this.coil_end_time;
	}
	public void setCoil_end_time(Date coil_end_time) {
		this.coil_end_time = coil_end_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//生产时间
	private Date produce_time;
	public Date  getProduce_time() {
		return this.produce_time;
	}
	public void setProduce_time(Date produce_time) {
		this.produce_time = produce_time;
	}

	@Column
	//卷曲张力
	private Double coil_tension;
	public Double  getCoil_tension() {
		return this.coil_tension;
	}
	public void setCoil_tension(Double coil_tension) {
		this.coil_tension = coil_tension;
	}

	@Column
	//最小卷曲张力
	private Double coil_tension_min;
	public Double  getCoil_tension_min() {
		return this.coil_tension_min;
	}
	public void setCoil_tension_min(Double coil_tension_min) {
		this.coil_tension_min = coil_tension_min;
	}

	@Column
	//最大卷曲张力
	private Double coil_tension_max;
	public Double  getCoil_tension_max() {
		return this.coil_tension_max;
	}
	public void setCoil_tension_max(Double coil_tension_max) {
		this.coil_tension_max = coil_tension_max;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//收料时间
	private Date receive_time;
	public Date  getReceive_time() {
		return this.receive_time;
	}
	public void setReceive_time(Date receive_time) {
		this.receive_time = receive_time;
	}

	@Column
	//收料工
	private String receive_opr;
	public String  getReceive_opr() {
		return this.receive_opr;
	}
	public void setReceive_opr(String receive_opr) {
		this.receive_opr = receive_opr;
	}

	@Column
	//订单号
	private String order_no;
	public String  getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	@Column
	//生产订单号
	private String prod_order_no;
	public String  getProd_order_no() {
		return this.prod_order_no;
	}
	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}

	/*@Column
	//标准号代码
	private String std_code;
	public String  getStd_code() {
		return this.std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	@Column
	//标准号名称
	private String std_name;
	public String  getStd_name() {
		return this.std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	@Column
	//收货单位代码
	private String rcv_code;
	public String  getRcv_code() {
		return this.rcv_code;
	}
	public void setRcv_code(String rcv_code) {
		this.rcv_code = rcv_code;
	}

	@Column
	//收货单位名称
	private String rcv_name;
	public String  getRcv_name() {
		return this.rcv_name;
	}
	public void setRcv_name(String rcv_name) {
		this.rcv_name = rcv_name;
	}*/

	@Column
	//表面检验结果（SORT_CODE = 407406）
	private String surface_rst;
	public String getSurface_rst() {
		return surface_rst;
	}
	public void setSurface_rst(String surface_rst) {
		this.surface_rst = surface_rst;
	}
	
	@Column
	//包装标识
	private String pck_flag;
	public String  getPck_flag() {
		return this.pck_flag;
	}
	public void setPck_flag(String pck_flag) {
		this.pck_flag = pck_flag;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//操作人
	private String create_opr;
	public String  getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//操作时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人
	private String update_opr;
	public String  getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	
	//二维码
	private String twoCode;
	public String getTwoCode() {
		return twoCode;
	}
	public void setTwoCode(String twoCode) {
		this.twoCode = twoCode;
	}

	//品名
	private String prod_name;
	public String getProd_name() {
		return prod_name;
	}
	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	//标准名
	private String std_name;
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	
	//规格
	private String spec;
	public String getSpec() {
		return spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}

	//炉号heatno
	private String heatno;
	//轧批号 batchno
	private String batchno;
	public String getHeatno() {
		return heatno;
	}
	public void setHeatno(String heatno) {
		this.heatno = heatno;
	}
	public String getBatchno() {
		return batchno;
	}
	public void setBatchno(String batchno) {
		this.batchno = batchno;
	}
	
	/**
	 * 包装要求编码(2011)
	 */
	@Column
	private String pk_ask_code;
	public String getPk_ask_code() {
		return pk_ask_code;
	}
	public void setPk_ask_code(String pk_ask_code) {
		this.pk_ask_code = pk_ask_code;
	}

	/**
	 * 包装要求名称
	 */
	@Column
	private String pk_ask_desc;
	public String getPk_ask_desc() {
		return pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}

	
}
